Skip to main content

Check transfer to own wallet

POST 

/api/withdrawal/validation/internal-own

Validates an internal transfer between wallets owned by the merchant without creating a transaction.

Use this method to check a transfer or an exchange between your own wallets before you send it with Transfer to own wallet. It takes the same body and does not create a transaction.

  • Validation requests create nothing and can be repeated.

About exchanges, fees, and limits: Off-chain exchange.

Request​

Bodyrequired

Internal own withdrawal validation payload.

    srcWalletIdstringnullable

    Src Wallet Id.

    Example: USD123456789012
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    actionstringrequired

    Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    srcCurrencystringnullable

    Src Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD
    destWalletIdstringnullable

    Dest Wallet Id.

    Example: USD123456789012
    destCurrencystringnullable

    Dest Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD

Responses​

OK